using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using ezBarcodeComponent.Winform;
using System.Drawing;
using System.Drawing.Imaging;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
public class BarcodeImageService : System.Web.Services.WebService
{
    public BarcodeImageService()
    {

        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }

   
    [WebMethod]
    public Byte[] BarcodeImage(Symbologies symbology, string CodeData)
    {
        Barcode barcode = new Barcode();
        barcode.Symbology = symbology;
        barcode.CodeData = CodeData;
        Image bmp = barcode.Picture;
        System.IO.MemoryStream outStream = new System.IO.MemoryStream();
        bmp.Save(outStream, ImageFormat.Jpeg);

        return outStream.ToArray();
    }
    
}
